petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectStateGet

Gets the state of any PetscObject, regardless of the type.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectStateGet(PetscObject obj,PetscObjectState *state)

Not Collective Many br

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. This must be Many brcast with a (PetscObject), for example, Many brPetscObjectStateGet((PetscObject)mat,&state); Many br

### Output Parameter

state -the object state Many br

Notes: object state is an integer which gets increased every time Many brthe object is changed. By saving and later querying the object state Many brone can determine whether information about the object is still current. Many brCurrently, state is maintained for Vec and Mat objects. Many br

Many br

seealso: PetscObjectStateIncrease(), PetscObjectStateSet() Many br

Level:advanced
Location:src/sys/objects/state.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages